@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100;400;700&display=swap');

body {
    max-width: max(60em, 80%);
    margin-top: 0;
    margin-left: auto;
    margin-right: auto;
    padding-left: min(1rem, 2.5%);
    padding-right: min(1rem, 2.5%);
    font-family: 'Noto Sans JP', sans-serif;
}

header {
    background-image: url('https://www.reudo.co.jp/resy/img/reudo_logo.png');
    background-position: right top;
    background-repeat: no-repeat;
    background-size: auto 50%;
    margin-bottom: calc(1rem + 1ex);
    border-bottom: 1px solid gray;
}
header > h1 {
    margin-top: 1ex;
    margin-bottom: 1ex;
    font-size: xx-large;
    font-weight: normal;
    text-shadow: 1px 1px 2px white, -1px -1px 2px white;
    text-align: center;
}

main {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

main h2 {
    font-size: x-large;
}

main section > h3 {
    margin-top: calc(1rem + 1ex);
    font-size: large;
    font-weight: normal;
    text-align: center;
}
main section > h3::before {
    margin-right: 0.5em;
    font-weight: normal;
    content: '－';
}
main section > h3::after {
    margin-left: 0.5em;
    font-weight: normal;
    content: '－';
}

main > div.nav {
    margin-top: calc(1rem + 2ex);
}
main > div.nav > ul {
    list-style: none;
    padding-left: 0;
}
main > div.nav > ul > li.grouping:not(first-child) {
    margin-top: 1ex;
}
main > div.nav > p:last-child {
    font-size: smaller;
}

footer {
    margin-top: calc(1rem + 1ex);
    border-top: 1px solid gray;
}
footer > p {
    text-align: right;
    margin-top: 1ex;
}
footer > p > a:link,
footer > p > a:visited,
footer > p > a:hover,
footer > p > a:focus,
footer > p > a:active {
    color: #333333;
}

ul.linklist {
    list-style: none;
    padding-left: 0;
}
ul.linklist > li {
    margin-top: 0;
    margin-bottom: 0;
    padding: 1ex 0.25em;
    border-bottom: 1px dotted darkgray;
}
ul.linklist > li:first-child {
    border-top: 1px dotted darkgray;
}    
ul.linklist > li > a {
    display: block;
}
ul.linklist > li > a:link,
ul.linklist > li > a:visited,
ul.linklist > li > a:hover,
ul.linklist > li > a:focus,
ul.linklist > li > a:active {
    color: initial;
}
ul.linklist > li > a:hover,
ul.linklist > li > a:focus,
ul.linklist > li > a:active {
    background-color: snow;
    font-style: italic;
}

p.body {
    white-space: pre-wrap;
    word-break: break-all;
}

div.body > :first-child {
    margin-top: 0;
}
div.body {
}
div.body h4 {
    font-size: medium;
}
div.body h5 {
    font-size: medium;
}
div.body table.spec {
    border-collapse: collapse;
}
div.body table.spec > thead > tr > th,
div.body table.spec > tbody > tr > th {
    background-color: whitesmoke;
    white-space: nowrap;
    font-weight: initial;
    font-style: initial;
}
div.body table.spec > thead > tr > th,
div.body table.spec > tbody > tr > th,
div.body table.spec > tfoot > tr > th,
div.body table.spec > thead > tr > td,
div.body table.spec > tbody > tr > td,
div.body table.spec > tfoot > tr > td {
    border: 1px solid dimgray;
    padding-left: 0.5em;
    padding-right: 0.5em;
}
div.body img {
    box-sizing: border-box;
    max-width: calc(100% - 2rem);
    max-height: 50vh;
}
div.body .pre {
    white-space: pre-wrap;
    word-break: break-all;
}
div.body .fullwidth {
    width: 100%;
}
div.body .hcenter {
    margin-left: auto;
    margin-right: auto;
}

a:link,
a:visited {
    text-decoration: none;
}    
a:hover,
a:focus,
a:active {
    text-decoration: underline;
}
a:active {
    font-weight: bolder;
}
    

code.button {
    font-family: initial;
}
code.button::before {
    content: '[';
}
code.button::after {
    content: ']ボタン';
}

code.modelNo {
    font-family: initial;
}
code.modelNo::before {
    content: "[";
}
code.modelNo::after {
    content: "]";
}

.detail {
    font-size: smaller;
}

.unpublished {
    border: 2px solid darkgray !important;
    background: repeating-linear-gradient(-45deg, gainsboro 0, gainsboro 4px, white 0, white 28px);
}

p.editlinks {
    text-align: right;
    font-size: smaller;
}

@media print {
    div.nav {
	display: none;
    }
}
